Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
nkf_state_t Struct Reference

## Data Fields
nkf_buf_t * | std_gc_buf
nkf_char | broken_state
nkf_buf_t * | broken_buf
nkf_char | mimeout_state
nkf_buf_t * | nfc_buf

## Detailed Description

Definition at line 3311 of file nkf.c.

## Field Documentation

## ◆ broken_buf

nkf_buf_t* nkf_state_t::broken_buf

Definition at line 3314 of file nkf.c.

## ◆ broken_state

nkf_char nkf_state_t::broken_state

Definition at line 3313 of file nkf.c.

## ◆ mimeout_state

nkf_char nkf_state_t::mimeout_state

Definition at line 3315 of file nkf.c.

## ◆ nfc_buf

nkf_buf_t* nkf_state_t::nfc_buf

Definition at line 3316 of file nkf.c.

## ◆ std_gc_buf

nkf_buf_t* nkf_state_t::std_gc_buf

Definition at line 3312 of file nkf.c.

The documentation for this struct was generated from the following file:

- ext/nkf/nkf-utf8/nkf.c